<?php

function init_hooks()
{

    add_action('wp_print_footer_scripts', 'enqueue_scrips', 9);

    add_filter('script_loader_tag', 'add_id_to_script', 10, 3);

    add_action('wp_ajax_nopriv_digits_submit_form', 'check_arcaptcha', 9);

    add_action('wp_ajax_nopriv_digits_check_mob', 'check_arcaptcha', 9);

    add_action('wp_ajax_digits_check_mob', 'check_arcaptcha', 9);
}

function check_arcaptcha()
{

    if (!isset($_POST['arcaptcha-token']) || arcaptcha_request_verify($_POST['arcaptcha-token']) !== 'success') {
        $current_filter = current_filter();

        if ($current_filter === 'wp_ajax_nopriv_digits_submit_form') {
            wp_send_json(
                array(
                    'success' => false,
                    'data'    => array(
                        'code' => '0',
                        'msg'  => __('Please complete the captcha.', 'arcaptcha-plugin')
                    )
                )
            );
        } else if ($current_filter === 'wp_ajax_digits_check_mob' || $current_filter === 'wp_ajax_nopriv_digits_check_mob') {
            wp_send_json_error(array('message' => __('Please complete the captcha.', 'arcaptcha-plugin')));

        }
        die();

    }
}

function add_id_to_script($tag, $handle, $source)
{
    $arcaptcha_api_key = get_option('arcaptcha_api_key');

    $escaped_site_key = esc_html($arcaptcha_api_key);

    if ('digits-arcaptcha' === $handle) {
        $tag = "<script type='text/javascript' src='$source' data-site-key='$escaped_site_key'></script>";
    }

    return $tag;
}

function enqueue_scrips()
{
    wp_enqueue_script(
        'digits-arcaptcha',
        ARCAPTCHA_URL . '/assets/js/digits.js',
        [],
        ARCAPTCHA_VERSION,
        true
    );
}

init_hooks();
