<?php
/**
 * WooCommerce checkout form file.
 *
 * @package arcaptcha-wp
 */

// If this file is called directly, abort.
if (!defined('ABSPATH')) {
    // @codeCoverageIgnoreStart
    exit;
    // @codeCoverageIgnoreEnd
}

/**
 * Checkout form.
 */
function arcap_display_wc_checkout()
{
    arcap_form_display();
    wp_nonce_field('arcaptcha_wc_checkout', 'arcaptcha_wc_checkout_nonce');
}

add_action('woocommerce_after_checkout_billing_form', 'arcap_display_wc_checkout', 10, 0);

/**
 * Verify checkout form.
 */
function arcap_verify_wc_checkout_captcha()
{
    $error_message = arcaptcha_get_verify_message(
        'arcaptcha_wc_checkout_nonce',
        'arcaptcha_wc_checkout'
    );

    if (null !== $error_message) {
        wc_add_notice($error_message, 'error');
    }
}

add_action('woocommerce_checkout_process', 'arcap_verify_wc_checkout_captcha');
